/*
    Program, ktery vzestupne seradi prvky ciselne
    posloupnosti x[0], x[1], ..., x[N-1].

    Program pracuje tzv. metodou bublinoveho razeni.
    (Bubble Sort).

    Verze: 3
*/

#include <stdio.h>

#define N 20

int main(void)
{
    int x[N]={6, 10, 12, 8, 99, 30, 21, 54, 27, 53,
              22, 23, 45, 47, 93, 78, 95, 35, 62, 51};
    unsigned short i,j,konec,vymena;
    int pom;

    puts("Neserazena posloupnost:");
    for (i=0; i<N-1; i++)
      printf("%d ",x[i]);
    printf("%d\n",x[N-1]);

    konec=N-1;
    do
    {
        vymena=0;
        for (j=0; j<konec; j++)
          if (x[j]>x[j+1])
             {
                pom=x[j]; x[j]=x[j+1]; x[j+1]=pom;
                vymena=j;
             }
        konec=vymena;
    }
    while (vymena);

    puts("\nSerazena posloupnost:");
    for (i=0; i<N-1; i++)
      printf("%d ",x[i]);
    printf("%d\n",x[N-1]);

    return 0;
}

