/*
    Program, ktery vzestupne seradi prvky ciselne
    posloupnosti x[0], x[1], ..., x[N-1].

    Program pracuje tzv. metodou opakovaneho hledani
    minima (Select Sort).
*/

#include <stdio.h>

#define N 20

int main(void)
{
    int x[N]={6, 10, 12, 8, 99, 30, 21, 54, 27, 53,
              22, 23, 45, 47, 93, 78, 95, 35, 62, 51};
    unsigned short i,j,h;
    int pom;

    puts("Neserazena posloupnost:");
    for (i=0; i<N-1; i++)
      printf("%d ",x[i]);
    printf("%d\n",x[N-1]);

    for (i=0; i<N-1; i++)
    {
      j=i;
      for (h=i+1; h<N; h++)
        if (x[h]<x[j]) j=h;

      pom=x[i]; x[i]=x[j]; x[j]=pom;
    }

    puts("\nSerazena posloupnost:");
    for (i=0; i<N-1; i++)
      printf("%d ",x[i]);
    printf("%d\n",x[N-1]);

    return 0;
}
